티스토리 뷰

728x90
반응형

Get the Flutter SDK 문서  를 참고해주세요

여기 따라하다가 쌍따옴표 이슈 를 만난 김에 정리합니다-!!

 

1) zip 다운받기

 

 

다운받으면 flutter라는 폴더로 압축이 풀립니다.

 

2) flutter 폴더를 원하는 위치로 이동하기 

 

어디에 둘까하다가 홈에가서 

 

 

 

 

development 폴더하나 만들고 여기에 넣어둠

 

 

 

 

3) Path 추가하기

맥 OS 카탈리나부터 터미널이 bash가 아니라 zsh로 바뀌었기때문에

bash_profile에 Path 추가해줘도 터미널에서 flutter 명령을 인식 못합니다. 

 

그러니까 풀어서 설명하면..!

아래 두가지 방법 중 하나로, bash_profile을 열어서

open ~/.bash_profile
vi .bash_profile

 

아래 라인을 추가해주고 저장해줘도

 export PATH="$PATH:~/development/flutter/bin" 

 

터미널에서 이렇게 하면 

flutter --version

"command not found: flutter" 라는 에러 문구가 뜨게 됩니다. 

 

 

그래서 bash_profile이 아니라 zshrc 파일에 Path를 추가해야합니다-!! 

(만약 터미널 설정을 bash로 바꿔서 쓰는 분들 제외-!!)

 

홈에 위치한 파일들

 

 

터미널에서 zshrc 파일을 열고

 open ~/.zshrc

 

Path 추가하는 라인을 복붙해주고 파일을 저장해주세요

 export PATH=$PATH:~/development/flutter/bin

 

 

 

 

 

 

 

참고로 문서에는 쌍따옴표를 붙여서 이렇게 넣어주라고 되어있는데 안되더라구요ㅠㅠ

 export PATH=$PATH:"~/development/flutter/bin"

github.com/flutter/flutter/issues/40140 보니까 쌍따옴표 빼니까 된다고 해서 저도 그렇게 해줬습니다--!! 

 

 

그리고 터미널에서 source 명령어를 입력해서 zshrc파일을 재실행해주세요

source ~/.zshrc

 

그러면 이제 터미널에서 flutter ~~~ 를 사용할 수 있게 되었습니다.

flutter --version
flutter doctor

를 입력해보면 잘되는 것을 볼 수 있어요-!

 

 

 

728x90
반응형
댓글
댓글쓰기 폼